/// <reference types="node" />
import { StatsSink } from "../stats";
import { Logger } from "./Logger";
import * as dgram from "dgram";
export interface StatsdExporterConfiguration {
    statsSink: StatsSink;
}
export declare class StatsdExporter {
    private server;
    private gauges;
    private counters;
    private histograms;
    constructor(config: StatsdExporterConfiguration);
    startImporter(labels: any, logger: Logger): Promise<dgram.Socket>;
    private handleMessage(msg, rinfo, labels, logger);
}
